### Interface

# PapersDocument AnnotationMarkup

#### Description

    interface PapersDocument.AnnotationMarkup : PapersDocument.Annotation

No description available.

#### Prerequisite

In order to implement AnnotationMarkup, your type must inherit from`PpsAnnotation`.

#### Implementations

- PpsAnnotationAttachment
- PpsAnnotationText
- PpsAnnotationTextMarkup

#### Instance methods

###### pps_annotation_markup_can_have_popup

No description available.

###### pps_annotation_markup_get_label

No description available.

###### pps_annotation_markup_get_opacity

No description available.

###### pps_annotation_markup_get_popup_is_open

No description available.

###### pps_annotation_markup_get_rectangle

No description available.

###### pps_annotation_markup_has_popup

No description available.

###### pps_annotation_markup_set_has_popup

No description available.

###### pps_annotation_markup_set_label

No description available.

###### pps_annotation_markup_set_opacity

No description available.

###### pps_annotation_markup_set_popup_is_open

No description available.

###### pps_annotation_markup_set_rectangle

No description available.

#### Properties

###### PapersDocument.AnnotationMarkup:can-have-popup

No description available.

###### PapersDocument.AnnotationMarkup:has-popup

No description available.

###### PapersDocument.AnnotationMarkup:label

No description available.

###### PapersDocument.AnnotationMarkup:opacity

No description available.

###### PapersDocument.AnnotationMarkup:popup-is-open

No description available.

###### PapersDocument.AnnotationMarkup:rectangle

No description available.

#### Interface structure

    struct PapersDocumentAnnotationMarkupInterface {
      /* no available fields */
    }

No description available.